VLC(1)

NAME
vlc, gvlc, gnome-vlc, qvlc - The VideoLAN Client

SYNOPSIS
vlc [OPTIONS] [PARAMETERS] [ITEMS]...

DESCRIPTION
This manual page documents briefly the vlc , a free MPEG, MPEG2 and DVD player.

ITEMS
vlc recognizes several URL-style items:

*.mpg, *.vob
    Plain MPEG-1/2 files

dvd:<device>[@<raw device>]
    DVD device (for instance dvd:/dev/dvd). The raw device is optional and must have been prepared beforehands.

vcd:<device>
    VCD device (for instance dvd:/dev/cdrom).

udpstream:[<server>[:<server port>]][@[<bind address>][:<bind port>]]
    UDP stream, such as one sent by VideoLAN Server or VideoLAN miniserver. Usually "udpstream:" is enough.

vlc:<command>
    Execute a play-list command. Commands are : loop (loop the playlist), pause (pause execution of other items), and quit (close VLC).

OPTIONS
vlc follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-I, --intf <module>
    Specify an interface module: "gnome", "curses", "qt", for instance.

-v, --verbose
    Set vlc verbosity. This command is cumulative, you can use "-vv" or "-vvvv" for increased verbosity.

--memcpy <module>
    Specify a module for performing heavy memory copies: "memcpy", "sse" for instance.

--noaudio
    Disable audio output.

-A, --aout <module>
    Specify an audio output module: "dsp", "esd", for instance.

--stereo, --mono
    Choose stereo or mono audio output.

--spdif
    Activate hardware AC3 pass-through mode.

--downmix <module>
    Specify a module for AC3 downmix: "downmix", "sse" or "3dn" for instance.

--imdct <module>
    Specify a module for AC3 IMDCT: "imdct", sse" or "3dn" for instance.

--volume [1..1024]
    Change VLC output volume (default: 512).

--desync <time in ms>
    Compensate desynchronization of the audio (default: 0).

--novideo
    Disable video output.

-V, --vout <module>
    Specify a video output module: "x11", "sdl", "fb", for instance.

--motion <module>
    Specify a module for motion compensation: "motion", "motionmmx", for instance.

--idct <module>
    Specify a module for IDCT: "idct", "idctmmx", for instance.

--yuv <module>
    Specify a YUV module: "yuv", "yuvmmx", for instance.

--display <display>
    Specify the display name.

--width <w>, --height <h>
    Choose the display coordinates.

-g, --grayscale
    Grayscale output.

--fullscreen
    Full screen output.

--overlay
    Overlay (hardware accelerated output), if available.

--xvadaptor <port>
    Select XVideo adaptor, if XVideo output is used.

--color
    Color output.

--synchro <type>
    Choose a fixed synchro value instead of the internal auto-adaptative heuristics based on CPU usage. `I' displays only I images, `IP' displays I and P images, `IP+' displays I and P images and every second B image, and `IPB' forces displaying of all images. Note that vlc is not guaranteed to behave properly if you ask it to display more images than your CPU can cope with.

-t, --dvdtitle <title>
    Choose the DVD title. Most movies on DVDs start on the first title, but you may want to manually select another title.

-T, --dvdchapter <title>
    Choose the DVD chapter. DVDs are divided into titles, which in turn are divided into chapters.

-a, --dvdaudio [ ac3 | lpcm | mpeg | off ]
    Choose the audio channel type. Most DVDs have AC3 audio channels, but you can also have Linear PCM or MPEG layer 2 sound. Also, one might decide not to activate the audio channel.

-u, --dvdangle <num>
    Choose the angle, available on some DVDs.

-c, --dvdchannel [ 0-15 ]
    Select the audio channel. Most DVDs only have one or two audio channels, but some of them have a great number of available languages. Note that the audio channel will also depend on the channel type.

-s, --dvdsubtitle [ 0-31 ]
    Select the subtitle channel, if there is one in the stream.

--dvdcss-method <method>
    Select the CSS decryption scheme when using libdvdcss. Usually to choose from "disc", "title" or "key", but depends on your libdvdcss version.

--dvdcss-verbose <level>
    Select the CSS decryption verbosity level, 0, 1 or 2.

--input <method>
    Choose the input method, "dvd", "ps", "ts" for instance.

--nommx, --no3dnow, --nommxext, --nosse, --noaltivec
    Disable the CPU's MMX, 3D Now!, MMX EXT, SSE or AltiVec support. This may be useful when you suspect a bug in an accelerated module.

-h, --help
    Print help and exit.

-H, --longhelp
    Print long help and exit.

--version
    Output version information and exit.

PARAMETERS
vlc also accepts a lot of parameters to customize its behaviour.

Interface parameters:
     vlc_intf=<method name> interface method

Audio parameters:
     vlc_aout=<method name>      audio method
     vlc_dsp=<filename>          dsp device path
     vlc_stereo={1|0}            stereo or mono output
     vlc_spdif={1|0}             AC3 pass-through mode
     vlc_downmix=<method name> AC3 downmix method
     vlc_imdct=<method name> AC3 IMDCT method
     vlc_volume=[0..1024]    VLC output volume
     vlc_audio_rate=<rate>        output rate

Video parameters:
     vlc_vout=<method name> display method
     vlc_display=<display> display used
     vlc_width=<width> display width
     vlc_height=<height> dislay height
     vlc_fb_dev=<filename> framebuffer device
     vlc_grayscale={1|0} grayscale or color
     vlc_fullscreen={1|0} full screen
     vlc_overlay={1|0} overlay
     vlc_xvport=<port> XVideo port
     vlc_motion=<method name> motion compensation method
     vlc_idct=<method name> IDCT method
     vlc_yuv=<method name> YUV method
     vlc_synchro={I|I+|IP|IP+|IPB} synchro algorithm

DVD parameters:
     vlc_dvd_device=<device> DVD device
     vlc_input_title=<title> title number
     vlc_input_chapter=<chapter> chapter number
     vlc_input_angle=<angle> angle number
     vlc_input_audio={ac3|lpcm|mpeg|off} audio type
     vlc_input_channel=[0-15] audio channel
     vlc_input_subtitle=[0-31] subtitle channel

Input parameters:
     vlc_iface=<interface> network interface

SEE ALSO
vls(1),vlms(1)

AUTHOR
This manual page was written by Samuel Hocevar <sam@zoy.org>, for the Debian GNU/Linux system (but may be used by others).